Update a webhook subscription
Webhook Subscriptions
Update a webhook subscription
Requires the webhook_subscription:write ability.
PUT
Update a webhook subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The webhook subscription ID. Example: wh_sub_01jz8v2q4x...
Query Parameters
Available options:
url, events, secret, enabled, consecutive_failures, created_at, updated_at, disabled_at Body
application/json
The webhook endpoint URL.
Maximum string length:
2048The event types to subscribe to.
Minimum array length:
1Each event type must be a valid WebhookEventType.
Available options:
verification.pending, verification.successful, verification.rejected, verification.failed, verification.cancelled, verification.expired, verification.error, verification.confirmation_ready, verification.confirmation_notification_sent Response
WebhookSubscriptionResource